AsterNet Class Library (Sandcastle documentation)

| AGIScript SayTime Method (Int64, String)

Says the given time, returning early if any of the given DTMF number are received on the channel.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected char SayTime(
    	long time,
    	string escapeDigits
    )

    Protected Function SayTime (
    	time As Long,
    	escapeDigits As String
    ) As Char

    protected:
    wchar_t SayTime(
    	long long time,
    	String^ escapeDigits
    )

    member SayTime :
            time : int64 *
            escapeDigits : string -> char

#### Parameters

time
  Type: System
  Int64
  the time to say in seconds since 00:00:00 on January 1, 1970.
escapeDigits
  Type: System
  String
  a String containing the DTMF digits that allow the user to escape.

#### Return Value

Type: Char
the DTMF digit pressed or 0x0 if none was pressed.
See Also

#### Reference

AGIScript Class
SayTime Overload
AsterNET.FastAGI Namespace